﻿* Encoding: UTF-8.

/*Table 1 Recodes and Analyses

/*recode age

COMPUTE Age=2018 - Year.
EXECUTE.

FREQUENCIES VARIABLES=Age
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN
  /ORDER=ANALYSIS.

FREQUENCIES VARIABLES=Sex Edu Race_1 Race_2 Race_3 Race_4 Race_5 Race_6 Race_7 Race_8 Race_9 
    Race_10 Race_11 Race_12 Race_13 Race_14 Race_15 HisLat Mari Inc Own kid1 kid3 pet Party Ideo hear
  /ORDER=ANALYSIS.

/*Table 2 Recodes and Analyses

/* create four experimental conditions plus the control condition

DO IF  (HSHET_Page_Submit >= 0).
RECODE HSHET_Page_Submit (ELSE=1) INTO ExpCon.
END IF.
EXECUTE.

DO IF  (HSLET_Page_Submit >= 0).
RECODE HSLET_Page_Submit (ELSE=2) INTO ExpCon.
END IF.
EXECUTE.

DO IF  (LSHET_Page_Submit >= 0).
RECODE LSHET_Page_Submit (ELSE=3) INTO ExpCon.
END IF.
EXECUTE.

DO IF  (LSLET_Page_Submit >= 0).
RECODE LSLET_Page_Submit (ELSE=4) INTO ExpCon.
END IF.
EXECUTE.

RECODE ExpCon (SYSMIS=0).
EXECUTE.

/* create dummy variables for conditions

RECODE ExpCon (0=0) (1=0) (2=1) (3=0) (4=0) INTO ConDumm1.
EXECUTE.

RECODE ExpCon (0=0) (1=0) (2=0) (3=1) (4=0) INTO ConDumm2.
EXECUTE.

RECODE ExpCon (0=0) (1=0) (2=0) (3=0) (4=1) INTO ConDumm3.
EXECUTE.

RECODE ExpCon (0=1) (1=0) (2=0) (3=0) (4=0) INTO ConDumm4.
EXECUTE.

/* excluding the control condition for this analysis
USE ALL.
COMPUTE filter_$=(ExpCon  ~= 0).
VARIABLE LABELS filter_$ 'ExpCon  ~= 0 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

/* One-way repeated measures ANOVA controlling for experimental conditions

GLM BB1 BB2 BB3 BB4 BB5 BB6 BB7 WITH ConDumm1 ConDumm2 ConDumm3
  /WSFACTOR=Times 7 Polynomial 
  /MEASURE=Behavior 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(Times) TYPE=LINE ERRORBAR=NO MEANREFERENCE=NO YAXIS=AUTO
  /EMMEANS=TABLES(Times) WITH(ConDumm1=MEAN ConDumm2=MEAN ConDumm3=MEAN)COMPARE ADJ(BONFERRONI)
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Times 
  /DESIGN=ConDumm1 ConDumm2 ConDumm3.

/*Table 5 Recodes and Analyses

/* Create the risk perception scale

FACTOR
  /VARIABLES SevSus_1 SevSus_2 SevSus_3 SevSus_4 SevSus_5
  /MISSING LISTWISE 
  /ANALYSIS SevSus_1 SevSus_2 SevSus_3 SevSus_4 SevSus_5
  /PRINT INITIAL EXTRACTION
  /CRITERIA MINEIGEN(1) ITERATE(25)
  /EXTRACTION PC
  /ROTATION NOROTATE
  /METHOD=CORRELATION.

RELIABILITY
  /VARIABLES=SevSus_1 SevSus_2 SevSus_3 SevSus_4 SevSus_5
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

COMPUTE Riskperceptions=(SevSus_1 + SevSus_2 + SevSus_3 + SevSus_4 + SevSus_5) / 5.
EXECUTE.

FREQUENCIES VARIABLES=Riskperceptions
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN
  /ORDER=ANALYSIS.

/* Create the response efficacy scale

RELIABILITY
  /VARIABLES=Eff_1 Eff_2
  /SCALE('ALL VARIABLES') ALL
  /MODEL=SPLIT.

COMPUTE ResponseEfficacy=(Eff_1 + Eff_2) / 2.
EXECUTE.

FREQUENCIES VARIABLES=ResponseEfficacy
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN
  /ORDER=ANALYSIS.

/* Reverse code Eff_4

RECODE Eff_4 (1=6) (2=5) (3=4) (4=3) (5=2) (6=1) INTO Eff_4r.
EXECUTE.

/* Create the self-efficacy scale

RELIABILITY
  /VARIABLES=Eff_3 Eff_4r
  /SCALE('ALL VARIABLES') ALL
  /MODEL=SPLIT.

COMPUTE SelfEfficacy=(Eff_3 + Eff_4r) / 2.
EXECUTE.

FREQUENCIES VARIABLES=SelfEfficacy
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN
  /ORDER=ANALYSIS.

/* Create the perceived affordability scale

FACTOR
  /VARIABLES Eff_5 Eff_6 Eff_7
  /MISSING LISTWISE 
  /ANALYSIS Eff_5 Eff_6 Eff_7
  /PRINT INITIAL EXTRACTION
  /CRITERIA MINEIGEN(1) ITERATE(25)
  /EXTRACTION PC
  /ROTATION NOROTATE
  /METHOD=CORRELATION.

RELIABILITY
  /VARIABLES=Eff_5 Eff_6 Eff_7
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

COMPUTE Affordability=(Eff_5 + Eff_6 + Eff_7) / 3.
EXECUTE.

FREQUENCIES VARIABLES=Affordability
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN
  /ORDER=ANALYSIS.

/* % of those clicking on the link for additional information about lead

FREQUENCIES VARIABLES=clicklink
  /ORDER=ANALYSIS.

/* Use all conditions for the following analyses
FILTER OFF.
USE ALL.
EXECUTE.

/* ANOVA results

ONEWAY BB1 BB2 BB3 BB4 BB5 BB6 BB7 Riskperceptions ResponseEfficacy SelfEfficacy Affordability BY ExpCon
   /STATISTICS DESCRIPTIVES 
  /MISSING ANALYSIS
  /POSTHOC=BONFERRONI ALPHA(0.05).

/* logistic regression result

LOGISTIC REGRESSION VARIABLES clicklink
  /METHOD=ENTER ConDumm1 ConDumm2 ConDumm3 ConDumm4
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).


