﻿* Encoding: UTF-8.

/*Table 1 Recodes and Analyses

/*recode age

COMPUTE Age=2018 - Year.
EXECUTE.

FREQUENCIES VARIABLES=Age
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN
  /ORDER=ANALYSIS.

FREQUENCIES VARIABLES=Sex Edu Race_1 Race_2 Race_3 Race_4 Race_5 Race_6 Race_7 Race_8 Race_9 
    Race_10 Race_11 Race_12 Race_13 Race_14 Race_15 HisLat Mari Inc Own kid1 kid3 pet Party Ideo hear
  /ORDER=ANALYSIS.

/*Table 2 Recodes and Analyses

/* create three experimental conditions

DO IF  (NoTestT_Page_Submit >= 0).
RECODE NoTestT_Page_Submit (ELSE=1) INTO ExpCon.
END IF.
EXECUTE.

DO IF  (BEPAT_Page_Submit >= 0).
RECODE BEPAT_Page_Submit (ELSE=2) INTO ExpCon.
END IF.
EXECUTE.

DO IF  (AEPAT_Page_Submit >= 0).
RECODE AEPAT_Page_Submit (ELSE=3) INTO ExpCon.
END IF.
EXECUTE.

/* create dummy variables for experimental conditions

RECODE ExpCon (1=1) (2=0) (3=0) INTO ConDum1.
EXECUTE.

RECODE ExpCon (2=0) (1=0) (3=1) INTO ConDum2.
EXECUTE.

/* One-way repeated measures ANOVA controlling for experimental conditions

GLM RB1 RB2 RB3 RB4 RB5 WITH ConDum1 ConDum2
  /WSFACTOR=Times1 5 Polynomial 
  /MEASURE=Behavior 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(Times1) TYPE=LINE ERRORBAR=NO MEANREFERENCE=NO YAXIS=AUTO
  /EMMEANS=TABLES(Times1) WITH(ConDum1=MEAN ConDum2=MEAN)COMPARE ADJ(BONFERRONI)
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Times1 
  /DESIGN=ConDum1 ConDum2.

/*Table 3 Recodes and Analyses

/* Create the risk perception scale

FACTOR
  /VARIABLES SevSus_1 SevSus_2 SevSus_3 SevSus_4 SevSus_5
  /MISSING LISTWISE 
  /ANALYSIS SevSus_1 SevSus_2 SevSus_3 SevSus_4 SevSus_5
  /PRINT INITIAL EXTRACTION
  /CRITERIA MINEIGEN(1) ITERATE(25)
  /EXTRACTION PC
  /ROTATION NOROTATE
  /METHOD=CORRELATION.

RELIABILITY
  /VARIABLES=SevSus_1 SevSus_2 SevSus_3 SevSus_4 SevSus_5
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

COMPUTE Riskperceptions=(SevSus_1 + SevSus_2 + SevSus_3 + SevSus_4 + SevSus_5) / 5.
EXECUTE.

FREQUENCIES VARIABLES=Riskperceptions
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN
  /ORDER=ANALYSIS.

/* Create the response efficacy scale

RELIABILITY
  /VARIABLES=Eff_1 Eff_2
  /SCALE('ALL VARIABLES') ALL
  /MODEL=SPLIT.

COMPUTE ResponseEfficacy=(Eff_1 + Eff_2) / 2.
EXECUTE.

FREQUENCIES VARIABLES=ResponseEfficacy
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN
  /ORDER=ANALYSIS.

/* Reverse code Eff_4

RECODE Eff_4 (1=6) (2=5) (3=4) (4=3) (5=2) (6=1) INTO Eff_4r.
EXECUTE.

/* Create the self-efficacy scale

RELIABILITY
  /VARIABLES=Eff_3 Eff_4r
  /SCALE('ALL VARIABLES') ALL
  /MODEL=SPLIT.

COMPUTE SelfEfficacy=(Eff_3 + Eff_4r) / 2.
EXECUTE.

FREQUENCIES VARIABLES=SelfEfficacy
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN
  /ORDER=ANALYSIS.

/* Create the perceived affordability scale

FACTOR
  /VARIABLES Eff_5 Eff_6 Eff_7
  /MISSING LISTWISE 
  /ANALYSIS Eff_5 Eff_6 Eff_7
  /PRINT INITIAL EXTRACTION
  /CRITERIA MINEIGEN(1) ITERATE(25)
  /EXTRACTION PC
  /ROTATION NOROTATE
  /METHOD=CORRELATION.

RELIABILITY
  /VARIABLES=Eff_5 Eff_6 Eff_7
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

COMPUTE Affordability=(Eff_5 + Eff_6 + Eff_7) / 3.
EXECUTE.

FREQUENCIES VARIABLES=Affordability
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN
  /ORDER=ANALYSIS.

/* % of those clicking on the link for additional information about lead

FREQUENCIES VARIABLES=clicklink
  /ORDER=ANALYSIS.

/* ANOVA results

ONEWAY RB1 RB2 RB3 RB4 RB5 Riskperceptions ResponseEfficacy SelfEfficacy Affordability BY ExpCon
  /STATISTICS DESCRIPTIVES 
  /MISSING ANALYSIS
  /POSTHOC=BONFERRONI ALPHA(0.05).

/* logistic regression result

LOGISTIC REGRESSION VARIABLES clicklink
  /METHOD=ENTER ConDum1 ConDum2 
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).
